# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/allwinner,sun4i-a10-sid.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 Security ID Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <maxime.ripard@bootlin.com>

allOf:
  - $ref: "nvmem.yaml#"

properties:
  compatible:
    enum:
      - allwinner,sun4i-a10-sid
      - allwinner,sun7i-a20-sid
      - allwinner,sun8i-a83t-sid
      - allwinner,sun8i-h3-sid
      - allwinner,sun50i-a64-sid
      - allwinner,sun50i-h5-sid
      - allwinner,sun50i-h6-sid

  reg:
    maxItems: 1

required:
  - compatible
  - reg

# FIXME: We should set it, but it would report all the generic
# properties as additional properties.
# additionalProperties: false

examples:
  - |
    sid@1c23800 {
        compatible = "allwinner,sun4i-a10-sid";
        reg = <0x01c23800 0x10>;
    };

  - |
    sid@1c23800 {
        compatible = "allwinner,sun7i-a20-sid";
        reg = <0x01c23800 0x200>;
    };

...
